var Menu = {
	data : [],
	status : false,
	menuId : 0,
	subMenuRowId : 0,
	subMenuColId : 0,
	parentMenu : 0,
	cols : 4,
	rowsPerPage : 14
};

Menu.show = function(data)
{
	var i = 0;
	var html = '';
		$.each(data, function(key,val) {
			html += '<td id="menu' + (i++) + '" class="menuItem ' + key + '">' + val + '</td>';
		});	
	$("#menu").html('<table class="menu"><tr>' + html + '</tr></table>');
};

Menu.open = function() 
{
	Main.menuIndex = true;
	$("#title").hide();
	$(".block").hide();	
	var index = this.menuId;
	var name = $('#menu' + index).attr('class');
	name = name.split(" ");	
	if(Menu.in_Array('cat_menu', name) > -1) {
		this.focusSubMenu('cat_menu');
	}
	$("#help_line_1").hide();
	Display.help_line_6();
};

Menu.focusSubMenu = function(parentMenu) 
{
	var colId = 0;
	var rowId = 0;
	var selCol = 0;
	var selRow = 0;
	var html = '<tr class="row' + rowId + '">';
	
	this.data[rowId] = [];
	this.status = 'sub_Menu';
	this.parentMenu = parentMenu;

	// фикс для C и D серий
	if($("#subMenu").html() != '') {
		$("#subMenu table").empty();
	}	
	switch(this.parentMenu) 
	{
		case 'cat_menu':
			$.each(Get_Category, function(key,val) 
			{
				if(colId == Menu.cols) {
					colId = 0;
					rowId++;
					Menu.data[rowId] = [];
					html += '</tr><tr class="row' + rowId + '">';
				}				
				Menu.data[rowId][colId] = val['key'];				
				var curKey = Get_Category[Main.Typ_Category]['key'];				
				if(curKey == val['key']) {
					selCol = colId;
					selRow = rowId;
				}				
				html += '<td class="col' + colId + ' subMenuItem"><span>' + val['tit_le'] + '</span></td>';
				colId++;
			});			
			$("#subMenu").html("<div><table>" + html + "</tr></table></div>").show();
			this.selectSubMenu(selRow, selCol);
			break;
	}
};

Menu.blurSubMenu = function() 
{
	this.status = false;
	Main.menuIndex = false;
	$("#subMenu").hide();
	$("#anchor").focus();
	$("#title").show();
	$(".block").show();
	$("#search").hide();
	$("#keyHelpSearch").hide();
	$("#help_line_3").hide();	
	Display.help_line_1();
};

Menu.select = function(index) 
{
	this.menuId = index;
	$('#menu' + index).addClass('active');
};

Menu.selectSubMenu = function(rowId, colId) 
{
	this.subMenuRowId = rowId;
	this.subMenuColId = colId;
	this.setListSubMenu();	
	$('.subMenuItem').removeClass('active');
	$('.row' + rowId + ' .col' + colId).addClass('active');
};

Menu.moveRightSubMenu = function() 
{
	var rowId = this.subMenuRowId;
	var colId = this.subMenuColId + 1;	
	if($('.row' + rowId + ' .col' + colId).length > 0) {
		this.selectSubMenu(rowId, colId);
	}
};

Menu.moveLeftSubMenu = function() 
{
	var rowId = this.subMenuRowId;
	var colId = this.subMenuColId - 1;	
	if($('.row' + rowId + ' .col' + colId).length > 0) {
		this.selectSubMenu(rowId, colId);
	}
};

Menu.moveDownSubMenu = function(rowId) 
{
	var colId = this.subMenuColId;	
	rowId++;	
	if($('.row' + rowId + ' .col' + colId).length > 0) {
		this.selectSubMenu(rowId, colId);
	} else if(rowId < this.data.length) {
		this.moveDownSubMenu(rowId);
	}
};

Menu.moveUpSubMenu = function(rowId) 
{
	var colId = this.subMenuColId;	
	rowId--;	
	if($('.row' + rowId + ' .col' + colId).length > 0) {
		this.selectSubMenu(rowId, colId);
	} else if(rowId > 0) {
		this.moveUpSubMenu(rowId);
	}
};

Menu.setListSubMenu = function() 
{ 
	var position = -420 * Math.floor(this.subMenuRowId / this.rowsPerPage);
	$("#subMenu table").css('top', position+"px");
};

Menu.openSubMenu = function() 
{
	var itemId = this.data[this.subMenuRowId][this.subMenuColId];
	this.blurSubMenu();	
	switch(this.parentMenu) 
	{
		case 'cat_menu':
			Main.setCategory(itemId);
			break;	
	}
};

Menu.in_Array = function (val, arr) 
{
	for (var i = 0, len = arr.length; i < len; i++) {
		if (arr[i] == val) return i;
	}
	return -1;
}

var Get_Category =  {

			"1" : {
				"key" : "1",
				"tit_le"	 : "Cмотреть фильмы онлайн",
				"path"	 : "/"
			},
			"2"  : {
				"key" : "2",
				"tit_le"	 : "Аниме",
				"path"	 : "/anime/"
			},
			"3" : {
				"key" : "3",
				"tit_le"	 : "Сериалы",
				"path"	 : "/seriali/"
			},
			"4" : {
				"key" : "4",
				"tit_le"	 : "Боевик",
				"path"	 : "/boevik/"
			},
			"5" : {
				"key" : "5",
				"tit_le"	 : "Военные",
				"path"	 : "/voennie/"
			},
			"6"		 : {
				"key" : "6",
				"tit_le"	 : "Мелодрама",
				"path"	 : "/melodrama/"
			},
			"7"	 : {
				"key" : "7",
				"tit_le"	 : "Семейные",
				"path"	 : "/semeynie/"
			},
			"8"		 : {
				"key" : "8",
				"tit_le"	 : "Ужасы",
				"path"	 : "/uzhasi/"
			},					
			"9" : {
				"key" : "9",
				"tit_le"	 : "Драмы",
				"path"	 : "/drama/"
			},
			"10"		 : {
				"key" : "10",
				"tit_le"	 : "Триллеры",
				"path"	 : "/triller/"
			},
			"11"		 : {
				"key" : "11",
				"tit_le"	 : "Исторический",
				"path"	 : "/istoricheskie/"
			},
			"12"		 : {
				"key" : "12",
				"tit_le"	 : "Фантастика",
				"path"	 : "/fantastika/"
			},
			"13"	 : {
				"key" : "13",
				"tit_le"	 : "Комедии",
				"path"	 : "/komediya/"
			},
			"14"	 : {
				"key" : "14",
				"tit_le"	 : "Фэнтези",
				"path"	 : "/fantasy/"
			},
			"15"	 : {
				"key" : "15",
				"tit_le"	 : "Короткометражки",
				"path"	 : "/korotkie/"
			},
			"16"	 : {
				"key" : "16",
				"tit_le"	 : "Биографические",
				"path"	 : "/biograf/"
			},
			"17"	 : {
				"key" : "17",
				"tit_le"	 : "Мюзиклы",
				"path"	 : "/muzikl/"
			},
			"18"	 : {
				"key" : "18",
				"tit_le"	 : "Приключения",
				"path"	 : "/priklucheniya/"
			},
			"19"	 : {
				"key" : "19",
				"tit_le"	 : "Мюзиклы",
				"path"	 : "/muzikl/"
			},
			"20"	 : {
				"key" : "20",
				"tit_le"	 : "Спортивные фильмы",
				"path"	 : "/sportivnie/"
			},
			"21"	 : {
				"key" : "0",
				"tit_le"	 : "Мультфильмы",
				"path"	 : "/multfilm/"
			},
			"22"  : {
				"key" : "22",
				"tit_le"	 : "Вестерны",
				"path"	 : "/vesterni/"
			},
			"23"  : {
				"key" : "23",
				"tit_le"	 : "Криминальные",
				"path"	 : "/kriminal/"
			},
			"24"	 : {
				"key" : "24",
				"tit_le"	 : "Документальный",
				"path"	 : "/dokumentalnie/"
			},
			"25"	 : {
				"key" : "25",
				"tit_le"	 : "ТВ Передачи",
				"path"	 : "/tv-peredachi/"
			}
			
};
